4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BDistInstall

Classes: BDistInstall

## Classes

class BDistInstall(Ft.Lib.DistExt.Install.Install)

### Methods

__init__(self, *args, **kwords)
initialize_options(self)

### Methods inherited from class Ft.Lib.DistExt.Install.Install

finalize_options, get_source_files, has_docs, has_l10n, has_localstate, has_sysconf, has_tests, run

### Methods inherited from class distutils.command.install.install

change_roots, convert_paths, create_path_file, dump_dirs, expand_basedirs, expand_dirs, finalize_other, finalize_unix, get_inputs, get_outputs, handle_extra_path, has_data, has_headers, has_lib, has_scripts, select_scheme

### Methods inherited from class distutils.cmd.Command

__getattr__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

### Fields

boolean_options = []
command_name = 'bdist_install'
description = "'install' used by the bdist commands (internal use only)"
negative_opt = {}
user_options = [('root=', None, 'install everything relative to this alternate root directory')]

### Fields